Page MenuHomePhabricator

[OpenMP] Refactored the function `target`
ClosedPublic

Authored by tianshilei1992 on Jul 28 2020, 6:21 PM.

Details

Summary

Refactored the function target to make preparation for fixing the
issue of ahead-of-time device memory deallocation.

Diff Detail

Event Timeline

tianshilei1992 created this revision.Jul 28 2020, 6:21 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 28 2020, 6:21 PM
tianshilei1992 requested review of this revision.Jul 28 2020, 6:21 PM
tianshilei1992 edited the summary of this revision. (Show Details)Jul 29 2020, 8:44 AM

Only minor documentation issues.

openmp/libomptarget/src/omptarget.cpp
718

If you know, could you document what table it is? There are many different tables in the code.

774–784

Could you document more preciously what are processed and what are the output?

Updated the doc of function processDataBefore

tianshilei1992 marked an inline comment as done.Jul 30 2020, 3:41 PM
tianshilei1992 marked an inline comment as done.
tianshilei1992 added inline comments.
openmp/libomptarget/src/omptarget.cpp
718

I would not do it in this patch because it is beyond the scope.

tianshilei1992 marked an inline comment as done.Jul 30 2020, 3:42 PM
ye-luo accepted this revision.Jul 30 2020, 5:06 PM

LGTM.

This revision is now accepted and ready to land.Jul 30 2020, 5:06 PM
This revision was automatically updated to reflect the committed changes.